<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of COLLABORATION SUITE of POSH http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Check if an RSS article is already saved
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : éàèù
# ***************************************
/**
*
* \brief Control if a RSS article is already saved
*
* @param  (String) l : url feed rss (link)
* @param  (String) t : article title
* @param  (String) id : feedarticle_id     
*
*   return xml file
*
*  \relatesalso
*   applicaion.js
*  $p.article.isArticleSaved
*
* !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
*
**/

$folder="";
$not_access=1;
$isScript=true;
$isPortal=false;
$pagename="portal/xml_checkarticlesave.php";
$granted="I";
//includes
require_once('includes.php');
require_once('../db_layer/'.__DBTYPE.'/enterprise.php');
require_once('../includes/xml.inc.php');
require_once('../includes/misc.inc.php');
require_once('../l10n/'.__LANG.'/lang.php');

$file=new xmlFile();

$file->header();

if (!isset($_REQUEST["id"])) {
    echo "<error>artMissId</error>";
    $file->footer();
    exit();
}

$id = isset($_REQUEST["id"])?$_REQUEST["id"]:"";

$DB->getResults($xmlarticles_getSaved,$DB->escape($_SESSION['user_id']),
                                      $DB->escape($id)); 
                               
if ($DB->nbResults()>0) {
    echo "<error>articleAlreadySaved</error>";  
}
                                                                                            
$file->footer();

$DB->close();
?>